EDIT - feature request #7508

Add language information to term representations
06/22/2018 11:30 AM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.1

Severity: normal

Description

Currently it is not possible to retrieve information which language a representation belongs to.
[Andreas Muller wrote in email conversation]
die Sprachinformation als Iso-Code (3-teilig, falls existent, sonst 2-teilig, falls existent) sowie als UUID des (Sprach-)terms mit
einzubauen.

Open:

¢ Check-if-no-problems-with-term-initialization (as language is eagerly loaded in LanguageStringBase this should not be an issue)

Associated revisions

Revision 75bfa4b6 - 06/22/2018 11:33 AM - Andreas Miiller

fix #7508 add language information to term representations

Revision d30b5c09 - 06/22/2018 02:09 PM - Andreas Miuller

ref #7508 further fix term representation web service

Revision c26edffc - 06/22/2018 02:34 PM - Andreas Miiller

ref #7508 correct handling of UUID in RepresentationBeanProcessor

Revision ce3b4e95 - 06/25/2018 10:36 AM - Andreas Muller

ref #7508 fix inverse L10n term representation

Revision 390d8116 - 06/26/2018 03:33 PM - Andreas Miiller

ref #7508 fix lazy loading exception for inverseRepresentations

Revision 4899d396 - 06/26/2018 04:04 PM - Andreas Miiller

ref #7508 fix lazy loading exception for inverseRepresentations

History

#1 - 06/22/2018 11:33 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 30 to 50

Applied in changeset cdmlib|75bfa4b6e6d3256d7b325ed9b5415b902e47b998.

#2 - 06/22/2018 02:37 PM - Andreas Miuller

- Assignee changed from Andreas Miller to Andreas Kohlbecker

Can you please review before release? Don't know if this all makes sense and is according to our general webservice strategy. But it is needed for
edaphobase somehow.

#3 - 06/25/2018 08:02 AM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/75bfa4b6e6d3256d7b325ed9b5415b902e47b998

- Description updated

#4 - 06/25/2018 03:51 PM - Andreas Kohlbecker

The commits look good at first glance but | had no time to take an in depth look.

#5 - 06/26/2018 12:58 PM - Andreas Miiller

- Description updated

Should we close the ticket?

#6 - 06/26/2018 01:18 PM - Andreas Kohlbecker

i think you can close it!

#7 - 06/26/2018 02:08 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miller

LazylnitializationException occurring in the procession of the requests like:

http://160.45.63.175/cdmserver/cichorieae/termVocabulary/15db0cf7-7afc-4a86-a7d4-221c73b0c9ac/terms.json?orderBy=BY_ORDER_INDEX_ASC
&pageNumber=0&pageSize=500

this needs to be fixed before we can actually close this issue

#8 - 06/26/2018 04:27 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to Andreas Kohlbecker
Andreas Kohlbecker wrote:
LazylnitializationException occurring in the procession of the requests like:

http://160.45.63.175/cdmserver/cichorieae/termVocabulary/15db0cf7-7afc-4a86-a7d4-221c73b0c9ac/terms.json?orderBy=BY_ORDER_INDEX_
ASC&pageNumber=0&pageSize=500

this needs to be fixed before we can actually close this issue

This issue is fixed now.

#9 - 06/28/2018 08:25 AM - Andreas Kohlbecker

- Target version changed from Release 5.1 to Release 5.2

#10 - 06/28/2018 10:11 AM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.1

This should be solved in 5.1. Why did you move it?

#11 - 06/28/2018 10:21 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Andreas Miller

This was an mistake, | guess we can close it now, don't you?

#12 - 06/28/2018 10:21 AM - Andreas Kohlbecker
- % Done changed from 50 to 100
